# jQuery-picopyright
用于保护网页图片版权的jQuery插件。

当别人想要保存网页里面的图片时，这个插件会阻止原来的事件，并且弹出一个Toast，提示版权信息。

## 使用方法

Step 1: 引入jQuery和jQuery.picopyright:

``` HTML
<script src="/path/to/your/jquery.min.js"></script>
<script src="/path/to/your/jquery.picopyright.min.js"></script>
```

Step 2: 为需要保护版权的图片添加id值或者class值. 

``` HTML
<img class="protected" src="./timg.jpg">
```

Step 3: 在HTML中添加版权信息Toast:

``` HTML
<div class="picopyright">
  <p class="picopyright-msg">&copy; 版权所有</p>
</div>
```

Step 4: 使用jQuery.picopyright: 

``` JavaScript
$(document).ready(function() {
	
	$('.protected').picopyright();

});
```

至此，一切工作均已完成。

## Demo

https://crh380a-2722.github.io/jQuery-picopyright/

## 开源协议

MIT License

## 鸣谢

  * 众开发者共同编写的强大的 [jQuery](https://github.com/jquery/jquery)

  * GitHub 提供的免费代码仓库
  
  * 图虫网给我的灵 (nao) 感 (dong)
