/*!
 *	jQuery.picopyright -- A JavaScript Picture Copyright Protector
 *
 *	@author CRH380A-2722 <609657831@qq.com>
 *	@license MIT
 *
 *	 - WARNING: This plugin requires jQuery!!! -
 */

(function($) {

	$.fn.picopyright = function() {
		
		/* Computer */

		$(this).on('contextmenu', function(e) {

			if (e.button == 2) { // If click the right mouse button...

				$('.picopyright').fadeIn('fast'); // Show copyright message.

				setTimeout(function() { // Fade out the copyright message after a second.

					$('.picopyright').fadeOut('fast');

				}, 1000);

			}

			return false;

		});

		/* Mobile, Tablet and other device */

		var time = 0; // Set a inital time for timer

		$(this).on('touchstart', function(e){ // Show copyright message after long press the picture

			e.preventDefault();

			time = setTimeout(function() {

				$('.picopyright').fadeIn('fast');

				setTimeout(function() { // Fade out the copyright message after a second.

					$('.picopyright').fadeOut('fast');

				}, 1000);

			}, 400);

		});

		$(this).on('touchend', function(e) {

			e.preventDefault();

			clearTimeout(time); // Clear the timer

		});

	};

})(jQuery);